using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace GridList
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.gridListControl1.MultiColumn = true;
            this.gridListControl1.SelectionMode = SelectionMode.MultiExtended;
            this.gridListControl1.DataSource = GetTableDetails();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.label2.Text = "";
            int count=0;
            for (int i = 0; i < this.gridListControl1.Items.Count; i++)
            {
                if (this.gridListControl1.GetSelected(i))
                {
                    count++;
                    this.label2.Text += i + " ";
                }
            }
            MessageBox.Show("Selected Items : " + count);
        }
        private DataTable GetTableDetails()
        {
            DataTable dt = new DataTable("Details");
            int nRows = 500;
            dt.Columns.Add(new DataColumn(string.Format("City")));
            dt.Columns.Add(new DataColumn(string.Format("Shipping City")));
            dt.Columns.Add(new DataColumn(string.Format("Ship Amount")));
            dt.Columns.Add(new DataColumn(string.Format("Deposit")));

            Random r = new Random();
            for (int i = 0; i < nRows; ++i)
            {
                DataRow dr = dt.NewRow();
                dr[0] = "C" + r.Next(100);
                dr[1] = "S" + i;
                dr[2] = r.Next(50, 150);
                dr[3] = r.Next(100);
                dt.Rows.Add(dr);
            }
            return dt;
        }
    }
}